<?php
namespace app\station\controller\v1;
use app\station\model\DemandtypeModel;
use think\Controller;
/**
 * 需求类型API接口控制器
 * 负责需求类型的增删改查
 * Class Demandtype
 * @package app\station\controller
 */
class Demandtype extends Controller
{
    /**
 * 基站需求类型数据列表
 */
    public function demandtype_list()
    {
    	  $model=new DemandtypeModel;
    	  $data=$model->selectDemandtypeList();
          if($data['code']==200){
             if($data['data']){
               return jsonSucc('','suceeess',$data['data']);
             }else{
               return jsonSucc('20065','Business line data does not exist');
             }
          }else{
               return jsonSucc('20063','Query error please try again');
          }
    	  
    }
/**
 * 添加基站需求类型
 */
      public function demandtype_add()
    {
    	$parem=$this->request->post();
    	if($parem){
    	 $model=new DemandtypeModel;
    	 $result=$model->insertDemandtype($parem);
    	 if($result['code']==200){
           return jsonSucc('200','suceess');
    	 }else{
    	   return jsonSucc('200001','error');
    	 }
    	}else{
    		return jsonSucc('1000001','error');
    	}
    }
/**
 * 修改基站需求类型
 */
     public function demandtype_edit()
    {
    	 $parem=$this->request->post();
    	if($parem){
    	 $model=new DemandtypeModel;
    	 $result=$model->updDemandtype($parem);
    	 if($result['code']==10001){
    	 	return jsonSucc('200001','id不存在');
    	 }
    	 if($result['code']==200){
           return jsonSucc('200','suceess');
    	 }else{
    	   return jsonSucc('200001','error');
    	 }
    	}else{
    		return jsonSucc('1000001','error');
    	}
    }
/**
 * 获取修改基站需求类型数据
 */
    public function geteditdemandtype()
    {
    	$parem=$this->request->post();
    	 $model=new DemandtypeModel;
    	 $result=$model->updselectDemandtype($parem);
    	  if($result['code']==10001){
    	  	return jsonSucc('200001','暂无找到id');
    	  }else{
    	  	 return jsonSucc('','suceess',$result['data']);
    	  }
    	 
    }
/**
 * 删除需求类型数据（软删除）
 */
     public function demandtype_del()
    { 
      $parem=$this->request->post();
    	if($parem){
    	 $model=new DemandtypeModel;
    	 $result=$model->delDemandtype($parem);
    	 switch ($result['code']) {
    	 	case '10001':
    	 		 return jsonSucc('200001','暂无找到id');
    	 		break;
    	 	
    	 	case '200':
    	 		 return jsonSucc('200','suceess');
    	 		break;

    	 	default:
    	 		return jsonSucc('1000001','error');
    	 		break;
    	 }
    	}else{
    		return jsonSucc('1000001','error');
    	}
    }
}